Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78257 - help button does nothing in xscreensaver-demo "--crapplet"
Summary: help button does nothing in xscreensaver-demo "--crapplet"
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xscreensaver
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 17:35 UTC by Michael Lee Yohe
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 16:53:33 UTC


Attachments (Terms of Use)

Description Michael Lee Yohe 2002-11-20 17:35:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When configuring the screensaver via Preferences -> Screensaver, the help button
(lower left corner) does nothing when pressed.  I had previously filed Bug 78070
- I was told that 4.06-1 should handle the button differently.  I installed
4.06-3 from RawHide - and the button still does nothing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Press the Help button in the lower left corner.	

Actual Results:  Nothing happens.

Expected Results:  Help dialog box should pop up (or something to the effect of
which).

Additional info:

$ rpm -q xscreensaver
xscreensaver-4.06-3

Comment 1 Bill Nottingham 2002-11-20 17:39:35 UTC
If you run xscreensaver-demo from an terminal, do you see any errors?

Comment 2 Michael Lee Yohe 2002-11-20 18:02:58 UTC
Nice call, Bill.

$ xscreensaver-demo --crapplet
## ( netscape -remote 'openURL(http://www.jwz.org/xscreensaver/man.html)' ||
netscape 'http://www.jwz.org/xscreensaver/man.html' ) &
sh: line 1: netscape: command not found
sh: line 1: netscape: command not found

Comment 3 Bill Nottingham 2002-11-20 18:32:23 UTC
Do you have references to netscape in your ~/.xscreensaver files?

Comment 4 Michael Lee Yohe 2002-11-20 20:28:51 UTC
Yes:
# XScreenSaver Preferences File
# Written by xscreensaver-demo 4.05 for myohe on Wed Nov  6 11:43:47 2002.
# http://www.jwz.org/xscreensaver/

<snip>

loadURL:        netscape -remote 'openURL(%s)' || netscape '%s'

So...

I deleted the file.  The help button now does something (brings up a web
browser).  However, it brings up Mozilla instead of default... should this be
another bug?

Comment 5 Bill Nottingham 2002-11-20 20:31:55 UTC
It calls gnome-moz-remote; it should use whatever browser is specified there.

Comment 6 Michael Lee Yohe 2002-11-20 20:39:12 UTC
Okay - last question then before I open a new bug.

If one configures Gnome 2 in Red Hat Linux 8, you're actually configuring
htmlview (Panel -> Extras -> Preferences -> Preferred Applications).  htmlview
is used by some applications, and other use gnome-moz-remote?

Should the configuration applet configure BOTH htmlview and gnome-moz-remote, or
should xscreensaver fire off htmlview...?

Sounds like another bug to me - just verifying.

Comment 7 Bill Nottingham 2002-12-19 16:53:33 UTC
gnome-moz-remote is a Gnome 1 thing. htmlview is a local Red Hat hack, AFAIK.
Closing the original bug, as I believe it's working-as-designed now.


Note You need to log in before you can comment on or make changes to this bug.